import { adjustDefaultControls, getControl, prepareFormGroup } from '@apaleo/angular-api-proxy-common';
export var MigrationBatchModel;
(function (MigrationBatchModel) {
    MigrationBatchModel.TypeEnumValues = Object.freeze(['ReservationImport']);
    MigrationBatchModel.StatusEnumValues = Object.freeze(['Uploaded', 'Running', 'Successful', 'Failure']);
})(MigrationBatchModel || (MigrationBatchModel = {}));
(function (MigrationBatchModel) {
    MigrationBatchModel.$metaData = {
        id: Object.freeze({
            isRequired: true,
            type: 'string',
            isPrimitiveType: true,
        }),
        type: Object.freeze({
            isRequired: true,
            type: 'string',
            isEnum: true,
            allowedEnumValues: MigrationBatchModel.TypeEnumValues,
            isPrimitiveType: true,
        }),
        status: Object.freeze({
            isRequired: true,
            type: 'string',
            isEnum: true,
            allowedEnumValues: MigrationBatchModel.StatusEnumValues,
            isPrimitiveType: true,
        }),
        created: Object.freeze({
            isRequired: true,
            type: 'Date',
            isPrimitiveType: true,
        }),
        updated: Object.freeze({
            isRequired: true,
            type: 'Date',
            isPrimitiveType: true,
        }),
        items: Object.freeze({
            isRequired: true,
            type: 'Array<MigrationItemModel>',
            isListContainer: true,
        }),
    };
    function $buildForm(fb, options) {
        var defaultControls = {
            id: getControl(MigrationBatchModel.$metaData.id, options, 'id'),
            type: getControl(MigrationBatchModel.$metaData.type, options, 'type'),
            status: getControl(MigrationBatchModel.$metaData.status, options, 'status'),
            created: getControl(MigrationBatchModel.$metaData.created, options, 'created'),
            updated: getControl(MigrationBatchModel.$metaData.updated, options, 'updated'),
        };
        var group = fb.group(adjustDefaultControls(defaultControls, options));
        prepareFormGroup(group, MigrationBatchModel.$metaData, options);
        return group;
    }
    MigrationBatchModel.$buildForm = $buildForm;
})(MigrationBatchModel || (MigrationBatchModel = {}));
//# sourceMappingURL=migrationBatchModel.js.map